=== debian/changelog ===
cifer (1.2.0-0ubuntu4) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:59:20 +0000

cifer (1.2.0-0ubuntu3) precise; urgency=low

  * Update watch file.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 03 Nov 2011 23:21:08 +0400

cifer (1.2.0-0ubuntu2) oneiric; urgency=low

  * convert to source 3.0 (quilt)
  * debian/patches/fix_as_needed.patch (LP: #765985)
    fix order of arguments while linking to fix FTBFS with ld --as-needed

 -- Andreas Moog <amoog@ubuntu.com>  Thu, 23 Jun 2011 12:11:44 +0000

cifer (1.2.0-0ubuntu1) karmic; urgency=low

  * New upstream version (LP: #342350)
    - Fixed several input/output bugs

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 30 Apr 2009 08:27:59 +0200

cifer (1.1.0-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #303525)

 -- Simrun Basuita <simrunbasuita@googlemail.com>  Wed, 17 Dec 2008 21:28:39 +0000
