=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@

override_dh_auto_install:
	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/cifer install

# # build: build-stamp
# # build-stamp:
# # 	dh_testdir
# # 	$(MAKE) CFLAGS=-O2 all
# # 	touch $@
# # 
# # clean: 
# # 	dh_testdir
# # 	dh_testroot
# # 	$(MAKE) distclean
# # 	dh_clean build-stamp configure-stamp
# # 
# # install: build
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_clean -k 
# # 	dh_installdirs
# # 	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/cifer install
# # 
# # binary-indep: build install
# # 
# # binary-arch: build install
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_installchangelogs CHANGES
# # 	dh_installdocs
# # 	dh_strip
# # 	dh_compress
# # 	dh_fixperms
# # 	dh_shlibdeps
# # 	dh_gencontrol
# # 	dh_md5sums
# # 	dh_builddeb
# # 
# # binary: binary-indep binary-arch
# # .PHONY: build clean binary-indep binary-arch binary install
